site_name: Technical Documentation
nav:
  - VueJS:
    - General functions: vue/general.md
  - Network:
    - OSI: network/osi.md
    - UDP and TCP: network/udp_tcp.md
  - Kubernetes:
    - Elastic Log: kubernetes/elk.md
    - Kiến trúc Kubernetes: kubernetes/whatkubernetes.md
    - Deploy to AWS: kubernetes/aws.md
  - SonarQube:
    - Setup SonarQube: sonar/SonarQube.md
  - Dart:
    - Enum: dart/enum.md
  - CSS:
    - Display Flex vs Inline flex: css/flex.md
    - Partial border: css/partial_border.md
    - CSS Syntax/Debug Tools: css/syntax_tool.md
    - CSS Minify: css/libs/minify.md
  - Python:
    - Build Face-ID source: python/face_id.md
    - Issues: python/issues.md
    - Multi thread: python/multithreading.md
    - Multithreading vs Multiprocessing: python/multithreading_vs_multiprocessing.md
    - QR Code: python/qrcode_generate.md
  - Windows:
    - BSOD - Posting Instructions: windows/bsod.md
  - SVN:
    - Server Docker: svn/docker.md
    - Usage Docker: svn/usage.md
    - Merge 2 branches: svn/merge.md
  - Composer:
    - Add a package to existing composer: composer/add_package.md
  - Webpack:
    - CommonsChunkPlugin: webpack/commonschunkplugin.md
  - Flutter:
    - Debug on Flutter: flutter/debug.md
    - Run a source: flutter/run_source.md
    - AppBar: flutter/appbar.md
    - List View: flutter/listview.md
    - Firebase configuration: flutter/firebase_conf.md
    - Firebase API: flutter/firebase_api.md
    - ChangeNotifier: flutter/change_notifier.md
    - Firebase Emulator: flutter/firebase_emulator.md
    - Router: flutter/router.md
    - Theme: flutter/theme.md
    - Network Logger: flutter/flutter_network.md
    - Questions: flutter/questions.md
    - Pull To Refresh: flutter/pullToRefresh.md
    - General: flutter/general.md
  - Google Cloud:
    - Google Cloud Setup: gcloud/gcloud_setup.md
  - NodeJS:
    - JSON import in FireStore: nodejs/json_filestore.md
    - Nodemon: nodejs/nodemon.md
    - Babel: nodejs/babel.md
    - Building a web app with Parcel: nodejs/parcel.md
  - MACOS:
    - Setup PHP: macos/php.md
    - Setup Babel and the link: macos/link_babel.md
    - Env variables: macos/env.md
  - GIT:
    - Basic Commands: git/commands.md
    - Checkout Single branch: git/single_branch.md
    - Create an empty branch: git/empty_branch.md
    - General errors: git/general_error.md
    - fast-forward VS no fast-forward: git/ff_vs_noff.md
    - Merge and Rebase: git/rebase_merge.md
    - Git detached head: git/detached_head.md
    - CI/CD: git/CI_CD.md
  #- YNC Products:
  #  - Social Chat - Chat configuration: ync/product/socialchat/chat-setup.md
  #  - MailChimp - Workfow: ync/product/mailchimp/workflow.md
  #  - Gamification: ync/learning/gamification.md
  #  - Ask Me Anything: ync/learning/askmeanything.md
  #  - Upgrade member level: ync/learning/upgradememberlevel.md
  #  - Video Channel: ync/learning/videochannel.md
  #- phpFox Apps learning:
  #  - Activity Point: platform/phpfox/learning/activitypoint.md
  #  - Video: platform/phpfox/learning/video.md
  #  - Subscription: platform/phpfox/learning/subscription.md
  #  - Better Ads: platform/phpfox/learning/betterads.md
  #  - Message: platform/phpfox/learning/message.md
  #  - Instant Message: platform/phpfox/learning/instantmessage.md
  # - YNC Mobile Application:
  #  - Admod Integration: ync/mobile/admod.md
  #  - TestFlight: ync/mobile/test_flight.md
  #  - Launch-screen & Icon sizes: ync/mobile/icon_launchscreen.md
  #  - Functions in apps: ync/mobile/functions.md
  #- Platform Mobile Application:
  #    - How to set up Mobile API on phpFox site: platform/mobile/mobileapi.md
  #    - How to request to build Mobile app: platform/mobile/request_build_info.md
  #    - How to use phpFox Mobile app on Apple Store and Google Play: platform/mobile/AppleStore_PlayStore.md
  #    - Build Guidance on MacOS: platform/mobile/build_guidance.md
  #    - How to create certSigningRequest for IOS: platform/mobile/certsigningrequest.md
  #    - Roles of App Store Connect and Apple Developer Program: platform/mobile/apple_roles.md
  #- phpFox:
  #    - phpFox - issue of rewrite URL on nginx: platform/phpfox/problem_rewrite_url_nginx.md
  #- React Native:
  #    - Component và AppRegistry: react-native/component_appregistry.md
  #    - React Native Components: react-native/components.md
  #    - StyleSheet: react-native/stylesheet.md
  #    - Debug: react-native/debug.md
  #   - Latest CocoaPods: react-native/latest_cocoapods.md
  - React:
      - ReactDOM - render: react/reactdom_render.md
      - Redux: react/redux.md
      - useSelect and useDispatch: react/useselect_usedispatch.md
      - useState and useRef: react/usestate_useref.md
      - General functions: react/general.md
  #- phpFox Training:
  #  - Macro: platform/phpfox/training/macro.md
  #  - Popular functions: platform/phpfox/training/poplular_functions.md
  #  - Add Component Names: platform/phpfox/training/component_names.md
  #  - Add Service Names: platform/phpfox/training/service_names.md
  #  - Phpfox::getParam: platform/phpfox/training/phpfox_getparam.md
  #  - Route: platform/phpfox/training/route.md
  #  - phpFox DropDown Menu: platform/phpfox/training/phpfox_dropdownmenu.md
  #  - Cron Job: platform/phpfox/training/cronjob.md
  #  - Cron Job - Add a job: platform/phpfox/training/addjob_cronjob.md
  #  - DB Transaction: platform/phpfox/training/phpfox_transaction.md
  #  - Workflow of app installation: platform/phpfox/training/workflow_installation_app.md
  #  - CDN: platform/phpfox/training/cdn.md
  #  - RSS: platform/phpfox/training/rss.md
  - PHP Training:
    - PHP functions: php/training/php_functions.md
    - Closure: php/training/closure.md
    - Oauth 2: php/libs/oauth2.md
    - Silex: php/libs/silex.md
    - Basic: php/training/basic.md
    - Convert MySQL to JSON: php/training/mysql_to_json.md
    - Collections in PHP: php/training/collection.md
    - $var and $$var: php/training/variable.md
    - Standard Code: php/training/standard_coding.md
    - Solid: php/training/solid.md
    - PHP 8: php/training/php8.md
    - max_input_vars: php/training/max_input_vars.md
    - PHP Exception: php/training/exception.md
    - PHP Syntax/Debug Tools: php/libs/syntax_tool.md
    - Detect PHP Mode: php/training/php_mode.md
    - PHP Monolog: php/libs/monolog.md
    - PHP Mail: php/libs/mail.md
    - PHP Debug bar: php/libs/debug_bar.md
    - PHP Smarty: php/libs/smarty.md
    - PHP Syntax Check Tool: php/libs/syntax_tool.md
    - XDebug: php/libs/xdebug.md
  #- Android Training:
   # - Implementation vs Api in Android Studio: android/training/implementation_api.md
   # - Admod Gradle Integation: android/training/admod_gradle.md
   # - Push Notification: android/training/pushnotification.md
  - Servers:
    - Install Memcached on CentOS 7: server/memcached/memcached_centos7.md
    - Install Memcached PHP Extension: server/memcached/memcached_php.md
    - Amazon - Default SSH User in AMI: server/amazon/ssh_default_user.md
    - Mkdocs - Technical Documentation: server/mkdocs/
    - Amazon - Setup phpFox: server/amazon/setupPhpFox.md
    - Amazon - Set up SSL on Amazon: server/amazon/ssl.md
    - Amazon - Source management in Elastic Beanstalk: server/amazon/sourcemanagement.md
    - Let's Encrypt - phpFox Server: server/letsencrypt/phpfox.md
    - Centos - Opening ports via SSH Firewall/CSF: server/linux/csf.md
    - Centos - No module named YUM: server/linux/no_module_name_yum.md
    - Linux - Check port not using: server/linux/checkport.md
    - WHM - Apache configuration: server/whm/whm_apache_configuration.md
    - GEM SASS: server/others/gem_sass.md
    - Nginx - Location: server/nginx/location.md
    - Apache: server/apache/permission.md
    - PHP: server/php/setup_library.md
    - Ansible: server/ansible/guide.md
    - Vagrant: server/vagrant/guide.md
    - Setup Python: server/python/setup.md
    - Setup Ubuntu:
        - Virtual box: server/ubuntu/installation_os.md
        - Setup Composer: server/ubuntu/setup_composer.md
        - Setup Xampp Server: server/ubuntu/setup_xampp.md
        - Configure Virtual Host on Xampp: server/ubuntu/xampp_virtual_host.md
        - Get and run dorabellabeauty source: server/ubuntu/run_source.md
        - Issues: server/ubuntu/issues.md
    - Xampp:
        - How to downgrade php: server/xampp/downgrade.md
    - SMTP:
        - Gmail: server/smtp/gmail.md
        - Outlook: server/smtp/outlook.md
        - MailHog: server/smtp/mailhog.md
        - MailPit: server/smtp/mailpit.md
        - Net_Smtp: server/smtp/net_smtp.md
  #- WordPress:
  #  - How to change Domain name: wordpress/changedomain.md
  - Javascript:
    - Reduce() Method: javascript/reduce.md
    - Async await: javascript/async_await.md
    - Promise: javascript/promise.md
    - XMLHttpRequest - onreadystatechange: javascript/xmlhttprequest.md
    - Object keys: javascript/object_keys.md
    - Jquery Multi Selector: javascript/jquery_multi_selector.md
    - Prevent Refresh Page: javascript/prevent_refresh_page.md
    - Execute script: javascript/execute_script.md
    - Difference between var, let and const: javascript/var_let_const.md
    - Differences function foo() {} and var foo = function(): javascript/difference_function_closure.md
    - Javascript Syntax/Debug Tools: javascript/syntax_tool.md
  #- SEO:
  #  - Sitemap: seo/sitemap.md
  - HTML:
    - HTML data-* Attributes: html/attribute-data.md
    - HTML Syntax/Debug Tools: html/syntax_tool.md
    - DataTable: html/libs/datatable.md
  - Laravel:
    - Interview Questions: laravel/interview.md
    - Query Builder: laravel/query_builder.md
    - Eloquent ORM: laravel/eloquent_orm.md
    - Laravel Queue: laravel/queue.md
    - Request lifecycle Laravel: laravel/request_lifecycle.md
    - Laravel Helper: laravel/helper.md
    - Laravel Dusk: laravel/dusk.md
    - Laravel Seeker: laravel/seeker.md
    - Sanctum : laravel/sanctum.md
    - Passport: laravel/passport.md
    - Laravel Bind and Singleton: laravel/bind_singleton.md
    - Custom command: laravel/custom_command.md
    - Temporary Table: laravel/temporary_tables.md
    - Lazy Collection: laravel/lazy_collection.md
    - Log Query trong Laravel: laravel/query_log.md
    - Route: laravel/route.md
    - Lumen: laravel/lumen.md
  - Firebase:
    - Choose a Database Cloud Firestore or Realtime Database: firebase/compare_firestore_realtime.md
    - Unable to detect a Project Id: firebase/detect_project_id.md
    - Missing or insufficient permissions: firebase/permission_denied.md
    - A keyfile was given, but it does not contain a project ID: firebase/projectID_missing.md
    - Cloud FireStore library: firebase/cloud_firestore.md
  - Oracle:
    - Common functions: oracle/command.md
    - Database Service Names and SID: oracle/sid_service_name.md
    - Privileges and roles granted to a user: oracle/priviledge_role.md
    - Role: oracle/roles.md
    - Grants: oracle/grants.md
    - Sequense: oracle/sequense.md
    - Backup and Restore: oracle/backup_restore.md
  - Docker:
      - Write an application: docker/create_application.md
      - Create Docker image: docker/create_docker_image.md
      - Errors of docker: docker/error.md
      - Networks: docker/network.md
      - General command: docker/command.md
      - Create Dorabellabeauty site: docker/dorabellabeauty.md
  - SQL:
      - Stress Test: sql/stress_test.md
      - MySQL Issues: sql/issues.md
      - Create/Delete a procedure: sql/procedure.md
      - Update while selecting max: sql/select_max_update.md
      - MySQL Import: sql/mysqlimport.md
      - Ignore mysql foreign chek: sql/ignore_foreign_key.md
      - Broken font: sql/broken_font.md
      - General: sql/general.md
      - Mysql 8: sql/mysql_8.md
theme: readthedocs
extra_css:
  - stylesheets/extra.css
site_favicon: img/favicon_ync.ico
